<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>스마트팩토리과제관리시스템</title>

    <!-- Bootstrap -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" rel="stylesheet" />

    <!-- Wijmo styles -->
    <link href="../assets/plugin/wijmo/wijmo.min.css" rel="stylesheet"/>
    
    <!-- css -->
    <link rel="stylesheet" href="../assets/css/jquery-ui.min.css" />
    <link rel="stylesheet" href="../assets/css/common.css" />
    <link rel="stylesheet" href="../assets/css/style.css" />
</head>

<body>
    <header class="sf-header" id="header">
        <div class="top-logo">
            <a href="#" class="btn-open-all-menu">
                <img src="../assets/img/all-menu.svg" alt="">
            </a>
            <a href="#" class="logo">
                <span class="abb">SFPM</span>
                <span class="full">
                    <span class="ko">스마트팩토리과제관리시스템</span>
                    <span class="en">Smart Factory Project Management system</span>
                </span>
            </a>
        </div>
        <div class="top-gnb">
            <nav class="top-main-nav">
                <ul class="depth1">
                    <li class="depth1-list">
                        <a href="#" class="depth1-link">스마트팩토리란?</a>
                    </li>
                    <li class="depth1-list">
                        <a href="#" class="depth1-link">스마트팩토리 레벨</a>
                        <ul class="depth2-list">
                            <li>
                                <a href="#">스마트팩토리 레벨 정의</a>
                            </li>
                            <li>
                                <a href="#">법인별 레벨 현황</a>
                            </li>
                            <li>
                                <a href="#">레벨 평가</a>
                            </li>
                        </ul>
                    </li>
                    <li class="depth1-list">
                        <a href="#" class="depth1-link on">핵심 Agenda</a>
                        <ul class="depth2-list">
                            <li>
                                <a href="#">핵심 Agenda 요약</a>
                            </li>
                            <li>
                                <a href="#">핵심 Agenda 정의</a>
                            </li>
                            <li class="on">
                                <a href="#">핵심 Agenda 과제관리</a>
                            </li>
                            <li>
                                <a href="#">핵심 Agenda 진행현황</a>
                            </li>
                        </ul>
                    </li>
                    <li class="depth1-list">
                        <a href="#" class="depth1-link">커뮤니티</a>
                        <ul class="depth2-list">
                            <li>
                                <a href="#">Painpoint</a>
                            </li>
                            <li>
                                <a href="#">스마트팩토리 일정</a>
                            </li>
                            <li>
                                <a href="#">자료실</a>
                            </li>
                        </ul>
                    </li>
                    <li class="depth1-list">
                        <a href="#" class="depth1-link">관리자</a>
                        <ul class="depth2-list">
                            <li>
                                <a href="#">공통 코드 관리</a>
                            </li>
                            <li>
                                <a href="#">권한 관리</a>
                            </li>
                            <li>
                                <a href="#">메뉴 관리</a>
                            </li>
                            <li>
                                <a href="#">메뉴 관리</a>
                            </li>
                            <li>
                                <a href="#">메세지 관리</a>
                            </li>
                            <li>
                                <a href="#">결제 관리</a>
                            </li>
                        </ul>
                    </li>
                </ul>
            </nav>
        </div>
        <ul class="nav-right">
            <li>
                <button>
                    <i class="icon icon-favorites"></i>
                </button>
            </li>
            <li>
                <button>
                    <i class="icon icon-help"></i>
                </button>
            </li>
            <li>
                <span class="btn-toggle-wrap">
                    <input type="checkbox" id="toggle" hidden> 
                    <label for="toggle" class="switch-toggle">
                        <span class="btn-toggle"></span>
                    </label>
                </span>
            </li>
            <li>
                <a href="#" class="language">ENG <img src="../assets/img/arr-lang.svg" alt=""></a>
            </li>
            <li>
                <a href="#" class="avatar">
                    <span class="round">
                        <!-- <img src="../assets/img/ico-user.png" alt=""> 프로필 이미지 -->
                    </span>
                    홍길동
                </a>
            </li>
        </ul>

    </header>
    
    <div class="sf-container" id="contents">
        <aside class="aside agenda-aside">
            <div class="aside-title-area">
                <h1>핵심 Agenda 과제관리</h1>
            </div>
            <div class="aside-search-area">
                <form>
                    <div class="search-input-wrap">
                        <input type="text" />
                        <button class="btn-search">
                            <span class="icon icon-search-submit"></span>
                        </button>
                    </div>
                </form>
                <button class="btn-filter">
                    <span class="icon icon-filter"></span>
                </button>
            </div>
            <ul class="aside-list">
                <li class="aside-depth1">
                    <a href="#" class="aside-depth1-link txt-confirmed">
                        <span class="number">01</span> 
                        <span class="txt">완벽한 설비 제작</span>
                        <span class="circle-status confirmed"></span>
                    </a>
                </li>
                <li class="aside-depth1 on">
                    <a href="#" class="aside-depth1-link txt-confirmed">
                        <span class="number">02</span> 
                        <span class="txt">완벽한 설비 설치</span>
                        <span class="circle-status confirmed"></span>
                    </a>
                </li>
                <li class="aside-depth1">
                    <a href="#" class="aside-depth1-link txt-warning">
                        <span class="number">03</span>
                        <span class="txt">초기 Par.Setting</span>
                        <span class="circle-status warning"></span>
                    </a>
                </li>
                <li class="aside-depth1">
                    <a href="#" class="aside-depth1-link txt-confirmed">
                        <span class="number">04</span>
                        <span class="txt">PD 최소화</span>
                        <span class="circle-status confirmed"></span>
                    </a>
                </li>
                <li class="aside-depth1">
                    <a href="#" class="aside-depth1-link txt-confirmed">
                        <span class="number">05</span>
                        <span class="txt">BM 최소화</span>
                        <span class="circle-status confirmed"></span>
                    </a>
                </li>
                <li class="aside-depth1">
                    <a href="#" class="aside-depth1-link txt-error">
                        <span class="number">06</span>
                        <span class="txt">완벽한 PM</span>
                        <span class="circle-status error"></span>
                    </a>
                </li>
                <li class="aside-depth1">
                    <a href="#" class="aside-depth1-link txt-error">
                        <span class="number">07</span>
                        <span class="txt">철저한 이물 관리</span>
                        <span class="circle-status error"></span>
                    </a>
                </li>
                <li class="aside-depth1">
                    <a href="#" class="aside-depth1-link txt-error">
                        <span class="number">08</span>
                        <span class="txt">검사/계측 자동화</span>
                        <span class="circle-status error"></span>
                    </a>
                </li>
                <li class="aside-depth1">
                    <a href="#" class="aside-depth1-link txt-confirmed">
                        <span class="number">09</span>
                        <span class="txt">물류 자동화</span>
                        <span class="circle-status confirmed"></span>
                    </a>
                </li>
                <li class="aside-depth1">
                    <a href="#" class="aside-depth1-link txt-planning">
                        <span class="number">10</span>
                        <span class="txt">지능형 비전 센서 구축</span>
                        <span class="circle-status planning"></span>
                    </a>
                </li>
                <li class="aside-depth1 has-sub">
                    <a href="#" class="aside-depth1-link txt-planning">
                        <span class="number">11</span>
                        <span class="txt">IT 시스템</span>
                        <span class="circle-status planning"></span>
                    </a>
                    <ul>
                        <li class="on">
                            <a href="#">GMES</a>
                        </li>
                        <li>
                            <a href="#">NCS</a>
                        </li>
                        <li>
                            <a href="#">PDC</a>
                        </li>
                        <li>
                            <a href="#">SPC +</a>
                        </li>
                        <li>
                            <a href="#">MCSC</a>
                        </li>
                        <li>
                            <a href="#">GUIS</a>
                        </li>
                        <li>
                            <a href="#">B-Lex</a>
                        </li>
                        <li>
                            <a href="#">환경안정 Portal</a>
                        </li>
                        <li>
                            <a href="#">GQMS</a>
                        </li>
                        <li>
                            <a href="#">CHARMS</a>
                        </li>
                        <li>
                            <a href="#">DPMS</a>
                        </li>
                        <li>
                            <a href="#">DQM</a>
                        </li>
                        <li>
                            <a href="#">GMMS</a>
                        </li>
                        <li>
                            <a href="#">WNS</a>
                        </li>
                        <li>
                            <a href="#">FMCS</a>
                        </li>
                    </ul>
                </li>
                <li class="aside-depth1">
                    <a href="#" class="aside-depth1-link txt-confirmed">
                        <span class="number">12</span>
                        <span class="txt">작업 지도서</span>
                        <span class="circle-status confirmed"></span>
                    </a>
                </li>
                <li class="aside-depth1">
                    <a href="#" class="aside-depth1-link txt-warning">
                        <span class="number">13</span>
                        <span class="txt">원격 컨트롤</span>
                        <span class="circle-status warning"></span>
                    </a>
                </li>
                <li class="aside-depth1">
                    <a href="#" class="aside-depth1-link txt-warning">
                        <span class="number">14</span>
                        <span class="txt">Ros 구축</span>
                        <span class="circle-status warning"></span>
                    </a>
                </li>
            </ul>
            <div class="aside-button-area">
                <button class="sf-btn btn-outlined">
                    <i class="icon icon-edit"></i>
                    <span class="btn-txt">신규 아젠다</span>
                </button>
            </div>
        </aside>
        <div class="sf-content-wrap">
            <div id="section-mdi">
                <ul class="mdi-tabs">
                    <li>
                        <a href="#">
                            <span>홈</span>
                            <i class="icon icon-close-mdi"></i>
                        </a>
                    </li>
                    <li class="on">
                        <a href="#">
                            <span>선택된 탭아이템</span>
                            <i class="icon icon-close-mdi"></i>
                        </a>
                    </li>
                    <li>
                        <a href="#">
                            <span>탭아이템</span>
                            <i class="icon icon-close-mdi"></i>
                        </a>
                    </li>
                    <li>
                        <a href="#">
                            <span>탭아이템</span>
                            <i class="icon icon-close-mdi"></i>
                        </a>
                    </li>
                    <li>
                        <a href="#">
                            <span>탭아이템</span>
                            <i class="icon icon-close-mdi"></i>
                        </a>
                    </li>
                    <li>
                        <a href="#">
                            <span>탭아이템</span>
                            <i class="icon icon-close-mdi"></i>
                        </a>
                    </li>
                </ul>
                <ul class="btns">
                    <li>
                        <button>
                            <i class="icon icon-mdi-prev"></i>
                        </button>
                    </li>
                    <li>
                        <button>
                            <i class="icon icon-mdi-next"></i>
                        </button>
                    </li>
                    <li>
                        <button>
                            <i class="icon icon-new-window"></i>
                        </button>
                    </li>
                    <li>
                        <button>
                            <i class="icon icon-close-mdi"></i>
                        </button>
                    </li>
                </ul>
            </div>
            <div class="section-content">
                <div class="section-top">
                    <h2 class="page-title">
                        <button class="btn-star"><i class="icon icon-star"></i></button>핵심 아젠다 등록 
                    </h2>
                    <div class="breadcrumbs-wrap">
                        <div class="breadcrumbs">
                            <a href="#">Home</a>
                            <a href="#">핵심 Agenda</a>
                            <a href="#">핵심 Agenda 과제관리</a>
                            <span>핵심 아젠다 등록</span>
                        </div>
                    </div>
                </div>

                <div class="form-box-wrap">
                    <div class="custom-radio">
                        <input type="radio" id="sel01" name="sel" checked />
                        <label for="sel01">핵심 아젠다 정의서(일반)</label>
                    </div>
                    <div class="custom-radio">
                        <input type="radio" id="sel02" name="sel" />
                        <label for="sel02">IT 시스템 정의서</label>
                    </div>
                </div>

                <div class="agenda-view">
                    
                    <h3 class="mb-10 mt-4">핵심 아젠다</h3>
                    <div class="sf-formtable-wrap row">
                        <div class="col-8">
                            <table class="table">
                                <colgroup>
                                    <col style="width:20%" />
                                    <col />
                                </colgroup>
                                <tbody>
                                    <tr>
                                        <th class="required">
                                            <label>아젠다 명</label>
                                        </th>
                                        <td>
                                            <div class="form-group d-flex"> 
                                                <input type="number" placeholder="No." class="w-25 me-1" />
                                                <input type="text" placeholder="아젠다명" class="w-75" />
                                            </div>
                                        </td>
                                    </tr>
                                    <tr>
                                        <th class="required">
                                            <label>정의</label>
                                        </th>
                                        <td>
                                            <div class="form-group"> 
                                                <textarea class="form-control" placeholder="정의" ></textarea>
                                            </div>
                                        </td>
                                    </tr>
                                    <tr>
                                        <th class="required">
                                            <label>지향점</label>
                                        </th>
                                        <td>
                                            <div class="form-group"> 
                                                <textarea class="form-control" placeholder="지향점" ></textarea>
                                            </div>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                        <div class="col-4">
                            <table class="table">
                                <colgroup>
                                    <col style="width:20%" />
                                    <col />
                                </colgroup>
                                <tbody>
                                    <tr>
                                        <th class="required">
                                            <label>PM</label>
                                        </th>
                                        <td class="text-start">
                                            <button class="sf-btn btn-outlined btn-icon d-inline-block align-text-top me-1">
                                                <i class="icon icon-search-submit"></i>
                                            </button>
                                            <div class="action-chip-wrap d-inline-block align-text-top">
                                                <div id="chip1" class="action-chip">
                                                    김엔솔
                                                    <a href="#">User Info</a>
                                                    <a href="#">Email 전송</a>
                                                    <a href="#">SMS 전송</a>
                                                </div>
                                                <div id="chip2" class="action-chip">
                                                    김엔솔
                                                    <a href="#">User Info</a>
                                                    <a href="#">Email 전송</a>
                                                    <a href="#">SMS 전송</a>
                                                </div>
                                            </div>
                                        </td>
                                    </tr>
                                    <tr>
                                        <th class="required">
                                            <label>주관부서</label>
                                        </th>
                                        <td class="text-start">
                                            <button class="sf-btn btn-outlined btn-icon d-inline-block align-text-top me-1">
                                                <i class="icon icon-search-submit"></i>
                                            </button>
                                            <ul class="chips align-text-top">
                                                <li>
                                                    <span>전극기술센터</span>
                                                </li>
                                                <li>
                                                    <span>파우치형기술센터</span>
                                                </li>
                                                <li class="mb-0">
                                                    <span>원통형기술센터</span> 
                                                </li>
                                            </ul>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                
                    <h3 class="mb-10 mt-4">스마트팩토리 레벨 정의</h3>
                    <div class="sf-formtable-wrap row">
                        <div class="col-8">
                            <table class="table">
                                <colgroup>
                                    <col style="width:20%" />
                                    <col />
                                </colgroup>
                                <tbody>
                                    <tr>
                                        <th>
                                            <label>Level 1</label>
                                        </th>
                                        <td>
                                            <div class="form-group"> 
                                                <input type="text" placeholder="Level 1" class="w-100" />
                                            </div>
                                        </td>
                                    </tr>
                                    <tr>
                                        <th>
                                            <label>Level 2</label>
                                        </th>
                                        <td>
                                            <div class="form-group"> 
                                                <input type="text" placeholder="Level 2" class="w-100" />
                                            </div>
                                        </td>
                                    </tr>
                                    <tr>
                                        <th>
                                            <label>Level 3</label>
                                        </th>
                                        <td>
                                            <div class="form-group"> 
                                                <input type="text" placeholder="Level 3" class="w-100" />
                                            </div>
                                        </td>
                                    </tr>
                                    <tr>
                                        <th>
                                            <label>Level 4</label>
                                        </th>
                                        <td>
                                            <div class="form-group"> 
                                                <input type="text" placeholder="Level 4" class="w-100" />
                                            </div>
                                        </td>
                                    </tr>
                                    <tr>
                                        <th>
                                            <label>Level 5</label>
                                        </th>
                                        <td>
                                            <div class="form-group"> 
                                                <input type="text" placeholder="Level 5" class="w-100" />
                                            </div>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                        <div class="col-4">
                            <table class="table">
                                <colgroup>
                                    <col style="width:20%" />
                                    <col />
                                </colgroup>
                                <tbody>
                                    <tr>
                                        <th>
                                            <label>현레벨/목표</label>
                                        </th>
                                        <td class="text-start">
                                            <div class="form-group"> 
                                                <input type="text" placeholder="현레벨" class="w-25 me-2" /> / 
                                                <input type="text" placeholder="목표레벨" class="w-25 mx-2" />
                                            </div>
                                        </td>
                                    </tr>
                                    <tr>
                                        <th>
                                            <label>추진영역</label>
                                        </th>
                                        <td class="text-start">
                                            <div class="form-group">
                                                <div class="multiselect-wrap wrap1">
                                                    <div id="theMultiSelect" class="w-100 h-100"></div>
                                                    <div id="checkedItems" class="checked-item"></div>
                                                </div>
                                            </div>
                                        </td>
                                    </tr>
                                    <tr>
                                        <th>
                                            <label>재무지표</label>
                                        </th>
                                        <td class="text-start">
                                            <div class="form-group">
                                                <div class="multiselect-wrap wrap2">
                                                    <div id="theMultiSelect2" class="w-100 h-100"></div>
                                                    <div id="checkedItems2" class="checked-item"></div>
                                                </div>
                                            </div>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>

                    <div class="d-flex justify-content-between mb-10 mt-4">
                        <div>
                            <h3 class="d-inline-flex me-2">중점추진과제</h3>
                        </div>
                        <div>
                            <button class="sf-btn btn-outlined btn-small">
                                <i class="icon icon-plus small"></i>
                                행추가
                            </button>

                            <!-- [s]230614  -->
                            <button class="sf-btn btn-outlined btn-small">
                                <i class="icon icon-move"></i>
                                과제이전
                            </button>
                            <!-- [e]230614  -->

                            <button class="sf-btn btn-outlined btn-small">
                                <i class="icon icon-minus small"></i><!-- 230725 -->
                                행삭제 
                            </button>
                        </div>
                    </div>
                    
                    <div class="sf-formtable-wrap">
                        <table class="table">
                            <colgroup>
                                <col style="width:45px" />
                                <col style="width:60px" />
                                <col style="width:100px" />
                                <col style="width:15%" />
                                <col style="width:80px" />
                                <col style="width:100px" />
                                <col style="width:20%" />
                                <col />
                            </colgroup>
                            <thead>
                                <tr>
                                    <th>
                                        <div class="custom-checkbox">
                                            <input type="checkbox" id="chk01" />
                                            <label for="chk01" class="none mt-2 secondary"></label>
                                        </div>
                                    </th>
                                    <th>Tag</th>
                                    <th>No.</th>
                                    <th>중점추진과제</th>
                                    <th>레벨</th>
                                    <th>개선지표</th>
                                    <th>과제 상세내용</th>
                                    <th>주관부서 및 담당자</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td rowspan="2">
                                        <div class="custom-checkbox">
                                            <input type="checkbox" id="chk02" />
                                            <label for="chk02" class="none mt-2 secondary"></label>
                                        </div>
                                    </td>
                                    <td rowspan="2">
                                        <span class="tag green">추가됨</span>
                                    </td>
                                    <td rowspan="2">
                                        <span>4.</span>
                                        <div class="form-group d-inline-block w-75 ms-1">
                                            <input type="text" placeholder="번호" class="w-100" />
                                        </div>
                                    </td>
                                    <td rowspan="2">
                                        <div class="form-group search-input-wrap w-100">
                                            <input type="text" placeholder="중점추진업무명" />
                                            <button class="btn-search">
                                                <span class="icon icon-search-submit"></span>
                                            </button>
                                        </div>
                                    </td>
                                    <td rowspan="2">
                                        <div class="form-group"> 
                                            <div id="theComboBox"></div>
                                        </div>
                                    </td>
                                    <td rowspan="2">
                                        <div class="form-group"> 
                                            <div id="theComboBox2"></div>
                                        </div>
                                    </td>
                                    <td rowspan="2">
                                        <div class="form-group"> 
                                            <textarea class="form-control h-auto" placeholder="업무 상세내용"></textarea>
                                        </div>
                                    </td>
                                    <td class="border-bottom-0">
                                        <div class="container-fluid">
                                            <div class="row">
                                                <div class="col-4 p-0">
                                                    <div class="form-group search-input-wrap2 w-100"> 
                                                        <button class="btn-search">
                                                            <span class="icon icon-search-submit"></span>
                                                        </button>
                                                        <ul class="chips mt-1">
                                                            <li>
                                                                <span>원통형기술센터</span> 
                                                                <button class="p-0 btn-del">
                                                                    <i class="icon ico-delete-circle"></i>
                                                                </button>
                                                            </li>
                                                        </ul>
                                                    </div>
                                                </div>
                                                <div class="col-7 pe-1 ps-1">
                                                    <div class="form-group search-input-wrap2 find-user-wrap w-100"> 
                                                        <button class="btn-search">
                                                            <span class="icon icon-search-submit"></span>
                                                        </button>
                                                        <div class="action-chip-wrap no-action d-inline-block mt-1">
                                                            <div id="chip3" class="action-chip with-del">
                                                                김엔솔
                                                                <a href="#" class="user-list">
                                                                    <span class="photo"><img src="../assets/img/tmp_photo.png" alt=""></span>
                                                                    <span>
                                                                        <span>손오공</span>
                                                                        <span>abc@naver.custom-radio</span>
                                                                    </span>
                                                                </a>
                                                                <a href="#" class="user-list">
                                                                    <span class="photo"><img src="../assets/img/tmp_photo.png" alt=""></span>
                                                                    <span>
                                                                        <span>손오공</span>
                                                                        <span>abc@naver.custom-radio</span>
                                                                    </span>
                                                                </a>
                                                                <a href="#" class="user-list">
                                                                    <button><i class="icon icon-search-submit"></i></button>
                                                                    <span>
                                                                        디렉토리 검색
                                                                    </span>
                                                                </a>
                                                            </div>
                                                            <div id="chip4" class="action-chip with-del">
                                                                김엔솔
                                                                <a href="#" class="user-list">
                                                                    <span class="photo"><img src="../assets/img/tmp_photo.png" alt=""></span>
                                                                    <span>
                                                                        <span>손오공</span>
                                                                        <span>abc@naver.custom-radio</span>
                                                                    </span>
                                                                </a>
                                                                <a href="#" class="user-list">
                                                                    <span class="photo"><img src="../assets/img/tmp_photo.png" alt=""></span>
                                                                    <span>
                                                                        <span>손오공</span>
                                                                        <span>abc@naver.custom-radio</span>
                                                                    </span>
                                                                </a>
                                                                <a href="#" class="user-list">
                                                                    <button><i class="icon icon-search-submit"></i></button>
                                                                    <span>
                                                                        디렉토리 검색
                                                                    </span>
                                                                </a>
                                                            </div>
                                                        </div>
                                                        <div class="filled-txt-wrap">
                                                            <input type="text" placeholder="Filled Text">
                                                            <button class="btn-del"><i class="icon ico-delete-circle"></i></button>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-1 p-0 text-left">
                                                    <button class="sf-btn btn-outlined btn-icon-lg">
                                                        <i class="icon icon-minus"></i>
                                                    </button>
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="border-top-0">
                                        <div class="container-fluid">
                                            <div class="row">
                                                <div class="col-4 p-0">
                                                    <div class="form-group search-input-wrap2 w-100"> 
                                                        <button class="btn-search">
                                                            <span class="icon icon-search-submit"></span>
                                                        </button>
                                                        <input type="text" placeholder="주관부서" />
                                                    </div>
                                                </div>
                                                <div class="col-7 pe-1 ps-1">
                                                    <div class="form-group search-input-wrap w-100 bg-grey"> 
                                                        <button class="btn-search">
                                                            <span class="icon icon-search-submit"></span>
                                                        </button>
                                                        <input type="text" placeholder="담당자를 입력하세요." />
                                                    </div>
                                                </div>
                                                <div class="col-1 p-0 text-left">
                                                    <button class="sf-btn btn-outlined btn-icon-lg">
                                                        <i class="icon icon-plus"></i>
                                                    </button>
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <div class="custom-checkbox">
                                            <input type="checkbox" id="chk03" />
                                            <label for="chk03" class="none mt-2 secondary"></label>
                                        </div>
                                    </td>
                                    <td>
                                        <span class="tag red">삭제됨</span>
                                    </td>
                                    <td>
                                        <span>4.</span>
                                        <div class="form-group d-inline-block w-75 ms-1">
                                            <input type="text" placeholder="번호" class="w-100" />
                                        </div>
                                    </td>
                                    <td>
                                        <div class="form-group search-input-wrap w-100">
                                            <input type="text" placeholder="중점추진업무명" />
                                            <button class="btn-search">
                                                <span class="icon icon-search-submit"></span>
                                            </button>
                                        </div>
                                    </td>
                                    <td>
                                        <div class="form-group"> 
                                            <div id="theComboBox3"></div>
                                        </div>
                                    </td>
                                    <td>
                                        <div class="form-group"> 
                                            <div id="theComboBox4"></div>
                                        </div>
                                    </td>
                                    <td>
                                        <div class="form-group"> 
                                            <textarea class="form-control h-auto" placeholder="업무 상세내용"></textarea>
                                        </div>
                                    </td>
                                    <td>
                                        <div class="container-fluid">
                                            <div class="row">
                                                <div class="col-4 p-0">
                                                    <div class="form-group search-input-wrap w-100"> 
                                                        <input type="text" placeholder="주관부서" />
                                                        <button class="btn-search">
                                                            <span class="icon icon-search-submit"></span>
                                                        </button>
                                                    </div>
                                                </div>
                                                <div class="col-7 pe-1 ps-1">
                                                    <div class="form-group search-input-wrap w-100 bg-grey"> 
                                                        <input type="text" placeholder="담당자를 입력하세요." />
                                                        <button class="btn-search">
                                                            <span class="icon icon-search-submit"></span>
                                                        </button>
                                                    </div>
                                                </div>
                                                <div class="col-1 p-0 text-left">
                                                    <button class="sf-btn btn-outlined btn-icon-lg">
                                                        <i class="icon icon-plus"></i>
                                                    </button>
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>

                    <div class="d-flex justify-content-between mb-10 mt-4">
                        <div>
                            <h3 class="d-inline-flex me-2">연계 중점추진과제</h3>
                        </div>
                        <div>
                            <button class="sf-btn btn-outlined btn-small">
                                <i class="icon icon-add"></i>
                                행추가
                            </button>
                            <button class="sf-btn btn-outlined btn-small">
                                <i class="icon icon-minus small"></i>
                                행삭제 <!-- 230725 -->
                            </button>
                        </div>
                    </div>
                    
                    <div class="sf-formtable-wrap">
                        <table class="table">
                            <colgroup>
                                <col style="width:45px" />
                                <col style="width:60px" />
                                <col style="width:60px" />
                                <col style="width:15%" />
                                <col style="width:80px" />
                                <col style="width:80px" />
                                <col style="width:40%" />
                                <col />
                            </colgroup>
                            <thead>
                                <tr>
                                    <th>
                                        <div class="custom-checkbox">
                                            <input type="checkbox" id="chk04" />
                                            <label for="chk04" class="none mt-2 secondary"></label>
                                        </div>
                                    </th>
                                    <th>Tag</th>
                                    <th>검색</th>
                                    <th>중점추진과제</th>
                                    <th>목표레벨</th>
                                    <th>개선지표</th>
                                    <th>과제 상세내용</th>
                                    <th>주관부서 및 담당자</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td rowspan="2">
                                        <div class="custom-checkbox">
                                            <input type="checkbox" id="chk05" />
                                            <label for="chk05" class="none mt-2 secondary"></label>
                                        </div>
                                    </td>
                                    <td rowspan="2">
                                        <span class="tag green">추가됨</span>
                                    </td>
                                    <td rowspan="2">
                                        <button class="sf-btn btn-outlined btn-icon d-inline-block">
                                            <i class="icon icon-search-submit"></i>
                                        </button>
                                    </td>
                                    <td rowspan="2" class="text-start">
                                        11.3 FDC 구축 및 활용
                                    </td>
                                    <td rowspan="2">
                                        4
                                    </td>
                                    <td rowspan="2">
                                        OEE
                                    </td>
                                    <td rowspan="2" class="text-start">
                                        PD 항목별로 법인별 비교/분석/개선(DAVINCI 활용, BP Workflow)하여 상향 평준화 <br>
                                        PD 항목별 근본 원인 분석, 개선안(DOE를 통한 공정 및 설비 para.최적화) 도출
                                    </td>
                                    <td class="text-start border-bottom-0">
                                        <ul class="chips align-text-top">
                                            <li>
                                                <span>전극기술센터</span>
                                            </li>
                                        </ul>
                                        <div class="action-chip-wrap d-inline-block align-text-top">
                                            <div id="chip5" class="action-chip">
                                                김엔솔
                                                <a href="#">User Info</a>
                                                <a href="#">Email 전송</a>
                                                <a href="#">SMS 전송</a>
                                            </div>
                                            <div id="chip6" class="action-chip">
                                                김엔솔
                                                <a href="#">User Info</a>
                                                <a href="#">Email 전송</a>
                                                <a href="#">SMS 전송</a>
                                            </div>
                                        </div>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="text-start border-top-0">
                                        <ul class="chips align-text-top">
                                            <li>
                                                <span>파우치형 기술센터</span>
                                            </li>
                                        </ul>
                                        <div class="action-chip-wrap d-inline-block align-text-top">
                                            <div id="chip7" class="action-chip">
                                                김엔솔
                                                <a href="#">User Info</a>
                                                <a href="#">Email 전송</a>
                                                <a href="#">SMS 전송</a>
                                            </div>
                                            <div id="chip8" class="action-chip">
                                                김엔솔
                                                <a href="#">User Info</a>
                                                <a href="#">Email 전송</a>
                                                <a href="#">SMS 전송</a>
                                            </div>
                                        </div>
                                    </td>
                                </tr>
                                <tr>
                                    <td rowspan="2">
                                        <div class="custom-checkbox">
                                            <input type="checkbox" id="chk06" />
                                            <label for="chk06" class="none mt-2 secondary"></label>
                                        </div>
                                    </td>
                                    <td rowspan="2">
                                        <span class="tag red">삭제됨</span>
                                    </td>
                                    <td rowspan="2">
                                        <button class="sf-btn btn-outlined btn-icon d-inline-block">
                                            <i class="icon icon-search-submit"></i>
                                        </button>
                                    </td>
                                    <td rowspan="2" class="text-start">
                                        11.3 FDC 구축 및 활용
                                    </td>
                                    <td rowspan="2">
                                        4
                                    </td>
                                    <td rowspan="2">
                                        OEE
                                    </td>
                                    <td rowspan="2" class="text-start">
                                        PD 항목별로 법인별 비교/분석/개선(DAVINCI 활용, BP Workflow)하여 상향 평준화 <br>
                                        PD 항목별 근본 원인 분석, 개선안(DOE를 통한 공정 및 설비 para.최적화) 도출
                                    </td>
                                    <td class="text-start border-bottom-0">
                                        <ul class="chips align-text-top">
                                            <li>
                                                <span>전극기술센터</span>
                                            </li>
                                        </ul>
                                        <div class="action-chip-wrap d-inline-block align-text-top">
                                            <div id="chip9" class="action-chip">
                                                김엔솔
                                                <a href="#">User Info</a>
                                                <a href="#">Email 전송</a>
                                                <a href="#">SMS 전송</a>
                                            </div>
                                           
                                        </div>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="text-start border-top-0">
                                        <ul class="chips align-text-top">
                                            <li>
                                                <span>파우치형 기술센터</span>
                                            </li>
                                        </ul>
                                        <div class="action-chip-wrap d-inline-block align-text-top">
                                            <div id="chip10" class="action-chip">
                                                김엔솔
                                                <a href="#">User Info</a>
                                                <a href="#">Email 전송</a>
                                                <a href="#">SMS 전송</a>
                                            </div>
                                            
                                        </div>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>

                    <h3 class="mb-10 mt-4">목표(KPI)</h3>
                    <textarea class="form-control" ></textarea>

                    <div class="d-flex justify-content-between mb-10 mt-4">
                        <div>
                            <h3 class="d-inline-flex me-2">R&R및 필요역량</h3>
                        </div>
                        <div>
                            <button class="sf-btn btn-outlined btn-small">
                                <i class="icon icon-add"></i>
                                행추가
                            </button>
                            <button class="sf-btn btn-outlined btn-small">
                                <i class="icon icon-minus small"></i>
                                행삭제
                                <!-- 230725 -->
                            </button>
                        </div>
                    </div>
                    
                    <div class="sf-formtable-wrap">
                        <table class="table">
                            <colgroup>
                                <col style="width:45px" />
                                <col style="width:60px" />
                                <col style="width:15%" />
                                <col style="width:10%" />
                                <col style="width:10%" />
                                <col style="width:10%" />
                                <col />
                            </colgroup>
                            <thead>
                                <tr>
                                    <th rowspan="2">
                                        <div class="custom-checkbox">
                                            <input type="checkbox" id="chk07" />
                                            <label for="chk07" class="none mt-2 secondary"></label>
                                        </div>
                                    </th>
                                    <th rowspan="2">Tag</th>
                                    <th rowspan="2">필요역량</th>
                                    <th colspan="3">R&R (주관부서)</th>
                                    <th rowspan="2">필요역량</th>
                                </tr>
                                <tr>
                                    <th>센터</th>
                                    <th>담당</th>
                                    <th>팀</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>
                                        <div class="custom-checkbox">
                                            <input type="checkbox" id="chk08" />
                                            <label for="chk08" class="none mt-2 secondary"></label>
                                        </div>
                                    </td>
                                    <td>
                                        <span class="tag green">추가됨</span>
                                    </td>
                                    <td>
                                        <div class="form-group">
                                            <input type="text" class="w-100" />
                                        </div>
                                    </td>
                                    <td>
                                        -
                                    </td>
                                    <td>
                                        -
                                    </td>
                                    <td>
                                        <div class="form-group search-input-wrap w-100"> 
                                            <input type="text" class="w-100" />
                                            <button class="btn-search">
                                                <span class="icon icon-search-submit"></span>
                                            </button>
                                        </div>
                                    </td>
                                    <td>
                                        <div class="form-group">
                                            <input type="text" class="w-100" />
                                        </div>
                                    </td>
                                </tr>
                                
                            </tbody>
                        </table>
                    </div>
                    

                    <div class="d-flex justify-content-between mb-10 mt-3">
                        <div>
                            <button class="sf-btn btn-outlined">
                                <i class="icon icon-search-submit"></i>
                                <span>History</span>
                            </button>
                            <button class="sf-btn btn-outlined">
                                <i class="icon icon-download"></i>
                                <span>보고자료</span>
                            </button>
                            <button class="sf-btn btn-outlined">
                                <i class="icon icon-download"></i>
                                <span>회의록</span>
                            </button>
                        </div>
                        <div class="sf-status">
                            <div class="form-group d-inline-block"> 
                                <div id="theComboBox5" class="w-100p"></div>
                            </div>
                            <button class="sf-btn btn-primary" data-bs-toggle="modal" data-bs-target="#deleteModal">
                                <i class="icon icon-check"></i>
                                <span>아젠다저장</span>
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Modal -->
    <div class="modal fade" id="deleteModal" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title">확인</h1>
                <button class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <p>아젠다를 삭제하시겠습니까?</p>
            </div>
            <div class="modal-footer">
                <button class="me-3" data-bs-dismiss="modal">취소</button>
                <button class="txt-primary" id="liveToastBtn">확인</button>
            </div>
            </div>
        </div>
    </div>

    <!-- Toast -->
    <div class="position-fixed bottom-0 start-50 translate-middle-x toast-wrap">
        <div id="liveToast" class="toast" role="alert" aria-live="assertive" aria-atomic="true">
            <div class="toast-body">
                삭제되었습니다.
            </div>
        </div>
    </div>


    <!-- jQuery & jQuery UI -->
    <script src="../assets/js/jquery-3.6.0.js"></script>
    <script src="../assets/js/jquery-ui.js"></script>

    <!-- js -->
    <script src="../assets/js/common.js"></script>
    <script src="../assets/js/header.nav.js"></script>

    <!-- Bootstrap -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js"></script>

    <!-- Wijmo core -->
    <script src="../assets/plugin/wijmo/wijmo.min.js"></script>
    <script src="../assets/plugin/wijmo/wijmo.input.min.js"></script>
    <script src="../assets/plugin/wijmo/wijmo.nav.min.js"></script>

    <script>

        //DropDowns
        const comboBoxConfigurations = [
            {
                selector: '#theComboBox',
                itemsSource: ['1', '2', '3', '4']
            },
            {
                selector: '#theComboBox2',
                itemsSource: ['OEE', 'OA', 'OE', 'EE']
            },
            {
                selector: '#theComboBox3',
                itemsSource: ['1', '2', '3', '4']
            },
            {
                selector: '#theComboBox4',
                itemsSource: ['OEE', 'OA', 'OE', 'EE']
            },
            {
                selector: '#theComboBox5',
                itemsSource: ['작성중']
            }
            ];

            comboBoxConfigurations.forEach(config => {
            new wijmo.input.ComboBox(config.selector, {
                itemsSource: config.itemsSource
            });
        });

        //Action Chips
        function createChips() {
            const chips = [];
            const chipCount = 10; // Total number of chips

            function createChip(elementId) {
                const host = document.getElementById(elementId);
                const header = host.firstChild.textContent.trim();
                const items = Array.from(host.querySelectorAll('a')).map(item => item.outerHTML);

                host.innerHTML = '';

                let chipHeader;
                if (host.classList.contains('no-avatar')) {
                    chipHeader = `<span>${header}</span>`;
                } else if (host.classList.contains('with-del')) {
                    chipHeader = `<span class="round avatar grey"></span> <span class="pe-0">${header}</span> <button class="btn-del"><i class="icon ico-delete-circle"></i></button>`;
                } else {
                    chipHeader = `<span class="round avatar"></span> <span>${header}</span>`;
                }
                
                const chip = new wijmo.input.Menu(host, {
                    header: chipHeader,
                    itemsSource: items,
                });

                return chip;
            }

            for (let i = 1; i <= chipCount; i++) {
                const chipId = `chip${i}`;
                chips.push(createChip(chipId));
            }
            return chips;
        }

        const allChips = createChips();

        function getData() {
            return [
                { id: 1, area: '원통형', gdpm: 57825, popk: 563, gdpcap: 102708 },
                { id: 2, area: '공통', gdpm: 664005, popk: 8238, gdpcap: 80602 },
                { id: 3, area: '원통형', gdpm: 388315, popk: 5205, gdpcap: 74604 },
                { id: 4, area: '공통', gdpm: 46178, popk: 647, gdpcap: 71372 },
                { id: 5, area: '공통', gdpm: 166908, popk: 2421, gdpcap: 68941 },
                { id: 6, area: '공통', gdpm: 283716, popk: 4635, gdpcap: 61211 },
            ];
        }
       

        function init() {
            //즐겨찾기(타이틀)
             const btnStar = document.querySelector('.btn-star');
            const iconStar = document.querySelector('.icon-star');

            btnStar.addEventListener('click', () => {
                iconStar.classList.toggle('on');
            });

            //MultiSelect 1
            let theMultiSelect1 = new wijmo.input.MultiSelect('#theMultiSelect', {
                placeholder: '영역',
                headerFormat: '{count:n0} 영역',
                displayMemberPath: 'area',
                itemsSource: getData(),
                checkedItemsChanged: updateCheckedItemsHeight1
            });

            //MultiSelect 2
            let theMultiSelect2 = new wijmo.input.MultiSelect('#theMultiSelect2', {
                placeholder: '대공정',
                headerFormat: '{count:n0} 대공정',
                displayMemberPath: 'area',
                itemsSource: getData(),
                checkedItemsChanged: updateCheckedItemsHeight2
            });

            function updateCheckedItemsHeight1(sender) {
                let html = '';
                sender.checkedItems.forEach((item) => {
                    html += `<span class="selected"><span>${item.area}</span> <button><i class="icon ico-delete-circle"></i></button></span>`;
                });
                document.querySelector('#checkedItems').innerHTML = html;

                let checkedItemsHeight = document.querySelector('#checkedItems').offsetHeight;
                document.querySelector('.wrap1').style.height = checkedItemsHeight + 3 + 'px';
            }

            function updateCheckedItemsHeight2(sender) {
                let html = '';
                sender.checkedItems.forEach((item) => {
                    html += `<span class="selected"><span>${item.area}</span> <button><i class="icon ico-delete-circle"></i></button></span>`;
                });
                document.querySelector('#checkedItems2').innerHTML = html;

                let checkedItemsHeight = document.querySelector('#checkedItems2').offsetHeight;
                document.querySelector('.wrap2').style.height = checkedItemsHeight + 3 + 'px';
            }

            window.addEventListener('resize', () => {
                updateCheckedItemsHeight1(theMultiSelect1);
                updateCheckedItemsHeight2(theMultiSelect2);
            });

            //filled txt
            const formGroups = document.querySelectorAll('.find-user-wrap');

            formGroups.forEach((formGroup) => {
                const btnSearch = formGroup.querySelector('.btn-search');
                const actionChipWrap = formGroup.querySelector('.action-chip-wrap');
                const filledTxtWrap = formGroup.querySelector('.filled-txt-wrap');

                const formGroupWidth = formGroup.offsetWidth;
                const btnSearchWidth = btnSearch.offsetWidth;
                const actionChipWrapWidth = actionChipWrap.offsetWidth;
                const filledTxtWrapWidth = formGroupWidth - btnSearchWidth - actionChipWrapWidth;

                filledTxtWrap.style.width = filledTxtWrapWidth - 5 + 'px';
            });


        }
        init();
    
    </script>
</body>
</html>